Bug 892304 - [abrt] Zim-0.58-1.fc17: pageindex.py:661:select_page:AssertionError: BUG: failed to touch placeholder
[abrt] Zim-0.58-1.fc17: pageindex.py:661:select_page:AssertionError: BUG: fai...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:ab8666d6c7b1e21606e569771f8...
:
: 917251 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 09:13 EST by Robert Keersse
Modified: 2013-08-01 05:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:58:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: executable (12 bytes, text/plain)
2013-01-06 09:13 EST, Robert Keersse
no flags Details
File: environ (1.74 KB, text/plain)
2013-01-06 09:13 EST, Robert Keersse
no flags Details
File: smolt_data (2.86 KB, text/plain)
2013-01-06 09:13 EST, Robert Keersse
no flags Details
File: core_backtrace (585 bytes, text/plain)
2013-01-06 09:13 EST, Robert Keersse
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1096730 None None None Never

  None (edit)
Description Robert Keersse 2013-01-06 09:13:37 EST
Version-Release number of selected component:
Zim-0.58-1.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-robert/zim-server-socket 30
kernel:         3.6.11-1.fc17.x86_64

backtrace:
:pageindex.py:661:select_page:AssertionError: BUG: failed to touch placeholder
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tags.py", line 849, in on_cloud_selection_changed
:    self._reload_model(type, filter)
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tags.py", line 894, in _reload_model
:    self.treeview.set_model(model, filter)
:  File "/usr/lib/python2.7/site-packages/zim/plugins/tags.py", line 598, in set_model
:    PageTreeView.set_model(self, filtermodel)
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 533, in set_model
:    self.select_page(self.ui.page, vivificate=True)
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 661, in select_page
:    assert treepath, 'BUG: failed to touch placeholder'
:AssertionError: BUG: failed to touch placeholder
:
:Local variables in innermost frame:
:vivificate: True
:path: <IndexPath: testpage>
:model: <gtk.TreeModelFilter object at 0x316bf00 (GtkTreeModelFilter at 0x319d000)>
:treepath: None
:self: <TagsPageTreeView object at 0x304a3c0 (zim+plugins+tags+TagsPageTreeView at 0x28f0490)>
Comment 1 Robert Keersse 2013-01-06 09:13:39 EST
Created attachment 673353 [details]
File: executable
Comment 2 Robert Keersse 2013-01-06 09:13:41 EST
Created attachment 673354 [details]
File: environ
Comment 3 Robert Keersse 2013-01-06 09:13:43 EST
Created attachment 673355 [details]
File: smolt_data
Comment 4 Robert Keersse 2013-01-06 09:13:45 EST
Created attachment 673356 [details]
File: core_backtrace
Comment 5 Robin Lee 2013-04-29 04:00:23 EDT
*** Bug 917251 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-07-03 23:00:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 05:58:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.